Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.bridge.bmp
Interface SmartBMP

All Known Implementing Classes:
  CustomerSmartBMP, OrderSmartBMP, PaymentTransactionSmartBMP, ShippingMethodSmartBMP

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface SmartBMP

SmartBMP specifies bean-managed persistence methods implemented by a delegate class named SmartBMP.

Method Summary
`void` | `create(SmartKey smartKey, EntityImpl entityImpl)` Deprecated See BEA Commerce product offering
`boolean` | `exists(SmartKey smartKey, EntityImpl entityImpl)` Deprecated See BEA Commerce product offering
`Enumeration` | `findAll(EntityImpl entityImpl)` Deprecated See BEA Commerce product offering
`void` | `refresh(SmartKey smartKey, EntityImpl entityImpl)` Deprecated See BEA Commerce product offering
`void` | `remove(SmartKey smartKey, EntityImpl entityImpl)` Deprecated See BEA Commerce product offering
`void` | `update(SmartKey smartKey, EntityImpl entityImpl)` Deprecated See BEA Commerce product offering

Method Detail

### create

    void create(SmartKey smartKey,
                EntityImpl entityImpl)
                throws BMPException

  Deprecated See BEA Commerce product offering

  Implements BMP functionality of ejbCreate() method. Initializes the representation of the entity bean in persistent store using the smartKey as primary key. Attributes of the entity bean in persistent store should be set to the implementation's equivalent of default or null values. The entity is invalid at this point. The metadata may be useful to the implementation.

  Parameters
    `smartKey` - the primary key of the bean
    `entityImpl` - READ ONLY, invalid, uninitialized instance of the entity bean.
  Throws
    `BMPException` - wrapper for provider exception

### refresh

    void refresh(SmartKey smartKey,
                 EntityImpl entityImpl)
                 throws BMPException

  Deprecated See BEA Commerce product offering

  Implements BMP functionality of ejbLoad() method. Copies attributes from persistent store to the entity bean using the smartKey as primary key.

  Parameters
    `smartKey` - the primary key of the bean
    `entityImpl` - READ/WRITE instance of the entity bean.
  Throws
    `BMPException` - wrapper for provider exception

### update

    void update(SmartKey smartKey,
                EntityImpl entityImpl)
                throws BMPException

  Deprecated See BEA Commerce product offering

  Implements BMP functionality of ejbStore() and ejbPostCreate() methods. Copies attributes of entity bean to persistent store using the smartKey as primary key.

  Parameters
    `smartKey` - the primary key of the bean
    `entityImpl` - READ ONLY instance of the entity bean.
  Throws
    `BMPException` - wrapper for provider exception

### remove

    void remove(SmartKey smartKey,
                EntityImpl entityImpl)
                throws BMPException

  Deprecated See BEA Commerce product offering

  Implements BMP functionality of ejbRemove() method. Removes the entity bean from persistent store using the smartKey as primary key.

  Parameters
    `smartKey` - the primary key of the bean
    `entityImpl` - instance of the entity bean
  Throws
    `BMPException` - wrapper for provider exception

### exists

    boolean exists(SmartKey smartKey,
                   EntityImpl entityImpl)
                   throws BMPException

  Deprecated See BEA Commerce product offering

  Implements BMP functionality of ejbFindByPrimaryKey() method. Indicates if a bean with the specified primary key exists in the persistent store.

  Parameters
    `smartKey` - the primary key of the bean
    `entityImpl` - instance of the entity bean
  Returns
    true if a bean with the specified primary key exists
  Throws
    `BMPException` - wrapper for provider exception

### findAll

    Enumeration findAll(EntityImpl entityImpl)
                        throws BMPException

  Deprecated See BEA Commerce product offering

  Implements BMP functionality of ejbFindAll() method.

  Returns
    an enumeration of all instances of a type of bean.
  Throws
    `BMPException` - wrapper for provider exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved